Bug 226326 - graphics/intel-backlight: Update to 20180303
Summary: graphics/intel-backlight: Update to 20180303
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Johannes M Dieterich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-03 14:13 UTC by Mateusz Piotrowski
Modified: 2018-03-16 02:28 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (jmd)


Attachments
Update to g20180303 for intel-backlight (svn diff) (3.77 KB, patch)
2018-03-03 14:13 UTC, Mateusz Piotrowski
no flags Details | Diff
Update to 20180303 for intel-backlight (svn diff) (revision 1) (4.10 KB, patch)
2018-03-04 18:25 UTC, Mateusz Piotrowski
0mp: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2018-03-03 14:13:33 UTC
Created attachment 191168 [details]
Update to g20180303 for intel-backlight (svn diff)

Changes:

 * Replace PORTVERSION with DISTVERSION. Add a 'g' prefix as recommend in the handbook.
 * Fill in LICENSE.
 * Add asmc_backlight to port examples.
 * Set INSTALL_TARGET to install-strip.
 * Remove do-build and do-install. Those have been moved to upstream.
 * Introduce an SUID option to be able to install the utility with the setuid bit set. Inspired by the x11-servrs/xorg-server port. SUID is on by default.
 * Add an EXAMPLES option. Add do-install-EXAMPLES-on to install examples.
 * Include .include <bsd.port.options.mk> for SUID.
 * Move PLIST_FILES to the pkg-plist file in order to use implement the SUID option.
 * Add a manpage.
 * Clean up pkg-descr. Most of the information was moved to the new manpage upstream. Also, add WWW link to the upstream repository.

QA:
 * port test: FreeBSD 12.0-CURRENT r329183 amd64
 * poudriere: FreeBSD 11.1-RELEASE amd64
Comment 1 Mateusz Piotrowski freebsd_committer 2018-03-04 16:49:39 UTC
Regarding the replacement of PORTVERSION with DISTVERSION: it looks like add a 'g' prefix (as recommend in the handbook) makes the new version g20180303 older than the current 20170831 version.

I am not sure what is the desired solution here. Should we bump PORTEPOCH and use the g prefix or set the new version to 20180303 instead of g20180303, effectively dropping the g prefix.
Comment 2 Johannes M Dieterich freebsd_committer 2018-03-04 16:53:58 UTC
Thanks for your submission. I did not change it to g prefix as a I inherited the port as is and did want to avoid bumping PORTEPOCH. I'd advocate for keeping it and only if we have actual versioning going down that road.

Will poudriere it myself now.
Comment 3 Johannes M Dieterich freebsd_committer 2018-03-04 17:19:22 UTC
Patch doesn't contain pkg-plist file.
Comment 4 Mateusz Piotrowski freebsd_committer 2018-03-04 18:15:40 UTC
(In reply to Johannes M Dieterich from comment #3)
I'll send the update shortly. I'm sorry for the inconvenience!
Comment 5 Johannes M Dieterich freebsd_committer 2018-03-04 18:24:48 UTC
No problem, thanks again for sending a patch. However, I think the latest patch still misses pkg-plist. :-)

Did you svn add it prior to svn diff?
Comment 6 Mateusz Piotrowski freebsd_committer 2018-03-04 18:25:44 UTC
Created attachment 191204 [details]
Update to 20180303 for intel-backlight (svn diff) (revision 1)

Changes in addition to the previous patch:

 * Do not prefix DISTVERSION with g.
 * Add a missing pkg-plist file.
Comment 7 commit-hook freebsd_committer 2018-03-16 02:27:10 UTC
A commit references this bug:

Author: jmd
Date: Fri Mar 16 02:26:14 UTC 2018
New revision: 464647
URL: https://svnweb.freebsd.org/changeset/ports/464647

Log:
  graphics/intel-backlight: update to 20180303. This brings a large number of updates including examples and link to the upstream man page.

  PR:		226326
  Submitted by:	0mp@FreeBSD.org
  Reviewed by:	swills (mentor)
  Approved by:	swills (mentor)

Changes:
  head/graphics/intel-backlight/Makefile
  head/graphics/intel-backlight/distinfo
  head/graphics/intel-backlight/pkg-descr
  head/graphics/intel-backlight/pkg-plist
Comment 8 Johannes M Dieterich freebsd_committer 2018-03-16 02:28:33 UTC
Thanks again!